package com.gic.haoban.manage.web.vo.content.account;

import java.io.Serializable;

/**
 * @Author MUSI
 * @Date 2023/10/24 2:11 PM
 * @Description
 * @Version
 * 账号授权结果
 *
 **/
public class AccountAuthorizeResultVo implements Serializable {

    private String key;

    /**
     * -1 未授权
     * 0 扫码成功
     * 1 扫码失败
     * 2 授权码已过期
     * 3 授权完成
     * 4 授权完成，但是实际授权账号与授权二维码账号不一致
     */
    private Integer status;

    /**
     * 账号主键id
     */
    private Long id;

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
}
